#2014 closed defect (fixed)

GRETH: added support for non-snooping GRETH 10/100 systems

Reported by: Daniel Hellstrom Owned by: Gedare Bloom
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, gedare@… Blocked By:
Blocking:

Description

GRETH: added support for non-snooping GRETH 10/100 systems

When data cache snooping is not present the cache needs
flushing, the SPARC LEON CPUs does not have to ability
to flush individual cache rows and flushing all cache is
expensive. Instead the LDA instruction is used to force
cache miss on individual loads during the IP-align copy
operation required anyway.

GRETH GBIT non-snooping systems are still unsupported,
since it use zero-copy (can deal with unaligned DMA).

Also, made the GRETH driver only built on LEON2/LEON3
platforms.

Signed-off-by: Daniel Hellstrom <daniel@…>

c/src/libchip/network/greth.c | 73 +++++++++++++++++++++++++++++++++++++---
1 files changed, 67 insertions(+), 6 deletions(-)

Attachments (2)

0001-GRETH-added-support-for-non-snooping-GRETH-10-100-sy.patch (5.4 KB) - added by Daniel Hellstrom on Feb 9, 2012 at 8:14:50 AM.
patch for HEAD
0001-GRETH-added-support-for-non-snooping-GRETH-10-100-sy_v1.patch (8.0 KB) - added by Daniel Hellstrom on Mar 22, 2012 at 7:21:06 AM.
patch v4 for HEAD

Download all attachments as: .zip

Change History (7)

Changed on Feb 9, 2012 at 8:14:50 AM by Daniel Hellstrom

patch for HEAD

comment:1 Changed on Feb 9, 2012 at 8:16:42 AM by Daniel Hellstrom

Cc: gedare@… joel.sherrill@… added
rep_platform: Allsparc
Version: HEAD4.10

comment:2 Changed on Mar 19, 2012 at 8:50:16 PM by Joel Sherrill

Owner: changed from Eric Norum to Gedare Bloom

Changed on Mar 22, 2012 at 7:21:06 AM by Daniel Hellstrom

patch v4 for HEAD

comment:3 Changed on Mar 22, 2012 at 7:21:06 AM by Daniel Hellstrom

attachments.isobsolete: 01

comment:4 Changed on Mar 27, 2012 at 7:31:17 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:5 Changed on Mar 28, 2012 at 7:48:09 AM by Daniel Hellstrom

Looks good, closing.

Note: See TracTickets for help on using tickets.